org.apache.pdfbox.contentstream.operator.color

## Class SetNonStrokingColorN

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.color.SetColor
    - - org.apache.pdfbox.contentstream.operator.color.SetNonStrokingColor
      - - org.apache.pdfbox.contentstream.operator.color.SetNonStrokingColorN

    public class SetNonStrokingColorN
    extends SetNonStrokingColor

scn: Sets the colour to use for non-stroking operations. Supports Pattern, Separation, DeviceN and ICCBased colour spaces.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`SetNonStrokingColorN(PDFStreamEngine context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Returns the name of this operator, e.g.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.color.SetNonStrokingColor

`getColor, getColorSpace, setColor`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.color.SetColor

`process`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetNonStrokingColorN

    public SetNonStrokingColorN(PDFStreamEngine context)

### Method Detail

#### getName

    public String getName()

Description copied from class: `OperatorProcessor`
Returns the name of this operator, e.g. "BI".

Overrides:
  `getName` in class `SetNonStrokingColor`
Returns:
  the name of the operator